import { Tabs, Tab } from 'vant'
import { defineComponent, reactive, ref } from 'vue'
import styles from './index.module.less'
import { useRouter } from 'vue-router'
import MyApproval from './MyApproval'
import Agency from './agency'
const activeName = ref('wait')
export default defineComponent({
  name: 'approval-manage',
  setup() {
    const router = useRouter()
    const state = reactive({})

    return () => (
      <>
        <Tabs v-model:active={activeName.value} class={styles.approvalTab} animated sticky>
          <Tab name="wait" title="处理事项">
            <Agency />
          </Tab>
          <Tab name="end" title="我的审批">
            <MyApproval />
          </Tab>
        </Tabs>
      </>
    )
  }
})
